// SERVER

onEvent('recipes', event => {

	event.remove({ type: 'immersiveengineering:alloy' })
	event.remove({ type: 'immersiveengineering:arc_furnace' })
	event.remove({ type: 'immersiveengineering:blast_furnace' })
	event.remove({ type: 'immersiveengineering:bottling_machine' })
	event.remove({ type: 'immersiveengineering:coke_oven' })
	event.remove({ type: 'immersiveengineering:cloche' })
	event.remove({ type: 'immersiveengineering:crusher' })
	event.remove({ type: 'immersiveengineering:fermenter' })
	event.remove({ type: 'immersiveengineering:metal_press' })
	event.remove({ type: 'immersiveengineering:mixer' })
	event.remove({ type: 'immersiveengineering:refinery' })
	event.remove({ type: 'immersiveengineering:sawmill' })
	event.remove({ type: 'immersiveengineering:squeezer' })
	
	event.remove({ output: 'create:crushed_silver_ore' })
	event.remove({ output: 'create:crushed_lead_ore' })
	event.remove({ output: 'create:crushed_aluminum_ore' })
	event.remove({ output: 'create:crushed_uranium_ore' })
	event.remove({ output: 'create:crushed_nickel_ore' })

	event.remove({ output: 'createaddition:electric_motor' })
	event.remove({ output: 'createaddition:alternator' })
	event.remove({ output: 'createaddition:connector' })
	event.remove({ output: 'createaddition:accumulator' })
	event.remove({ output: 'createaddition:redstone_relay' })
	event.remove({ output: 'createaddition:spool' })
	event.remove({ output: 'createaddition:copper_spool' })
	event.remove({ output: 'createaddition:copper_wire' })
	event.remove({ output: 'createaddition:iron_wire' })
	event.remove({ output: 'createaddition:gold_spool' })
	event.remove({ output: 'createaddition:gold_wire' })
	event.remove({ output: 'createaddition:tesla_coil' })

	event.remove({ output: 'immersiveengineering:cushion' })
	event.remove({ output: 'immersiveengineering:strip_curtain' })
	event.remove({ output: 'immersiveengineering:hempcrete' })
	event.remove({ output: 'immersiveengineering:concrete' })
	event.remove({ output: 'immersiveengineering:concrete_tile' })
	event.remove({ output: 'immersiveengineering:concrete_leaded' })
	event.remove({ output: 'immersiveengineering:concrete_sprayed' })
	event.remove({ output: 'immersiveengineering:concrete_sheet' })
	event.remove({ output: 'immersiveengineering:concrete_quarter' })
	event.remove({ output: 'immersiveengineering:concrete_three_quarter' })
	event.remove({ output: 'immersiveengineering:wooden_barrel' })
	event.remove({ output: 'immersiveengineering:crate' })
	event.remove({ output: 'immersiveengineering:reinforced_crate' })
	event.remove({ output: 'immersiveengineering:sorter' })
	event.remove({ output: 'immersiveengineering:item_batcher' })
	event.remove({ output: 'immersiveengineering:fluid_sorter' })
	event.remove({ output: 'immersiveengineering:windmill' })
	event.remove({ output: 'immersiveengineering:watermill' })
	event.remove({ output: 'immersiveengineering:metal_barrel' })
	event.remove({ output: 'immersiveengineering:fluid_pump' })
	event.remove({ output: 'immersiveengineering:fluid_placer' })
	event.remove({ output: 'immersiveengineering:dynamo' })
	event.remove({ output: 'immersiveengineering:thermoelectric_generator' })
	event.remove({ output: 'immersiveengineering:fluid_pipe' })
	event.remove({ output: 'immersiveengineering:sample_drill' })
	event.remove({ output: 'immersiveengineering:cloche' })
	event.remove({ output: 'immersiveengineering:rs_engineering' })
	event.remove({ output: 'immersiveengineering:heavy_engineering' })
	event.remove({ output: 'immersiveengineering:light_engineering' })
	event.remove({ output: 'immersiveengineering:generator' })
	event.remove({ output: 'immersiveengineering:radiator' })
	event.remove({ output: 'immersiveengineering:alu_fence' })
	event.remove({ output: 'immersiveengineering:alu_wallmount' })
	event.remove({ output: 'immersiveengineering:steel_post' })
	event.remove({ output: 'immersiveengineering:treated_post' })
	event.remove({ output: 'immersiveengineering:alu_post' })
	event.remove({ output: 'immersiveengineering:lantern' })
	event.remove({ output: 'immersiveengineering:alu_slope' })
	event.remove({ output: 'immersiveengineering:sheetmetal_copper' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_copper' })
	event.remove({ output: 'immersiveengineering:sheetmetal_aluminum' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_aluminum' })
	event.remove({ output: 'immersiveengineering:ore_aluminum' })
	event.remove({ output: 'immersiveengineering:deepslate_ore_aluminum' })
	event.remove({ output: 'immersiveengineering:raw_block_aluminum' })
	event.remove({ output: 'immersiveengineering:storage_aluminum' })
	event.remove({ output: 'immersiveengineering:slab_storage_aluminum' })
	event.remove({ output: 'immersiveengineering:sheetmetal_lead' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_lead' })
	event.remove({ output: 'immersiveengineering:ore_lead' })
	event.remove({ output: 'immersiveengineering:deepslate_ore_lead' })
	event.remove({ output: 'immersiveengineering:raw_block_lead' })
	event.remove({ output: 'immersiveengineering:storage_lead' })
	event.remove({ output: 'immersiveengineering:slab_storage_lead' })
	event.remove({ output: 'immersiveengineering:sheetmetal_silver' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_silver' })
	event.remove({ output: 'immersiveengineering:ore_silver' })
	event.remove({ output: 'immersiveengineering:deepslate_ore_silver' })
	event.remove({ output: 'immersiveengineering:raw_block_silver' })
	event.remove({ output: 'immersiveengineering:storage_silver' })
	event.remove({ output: 'immersiveengineering:slab_storage_silver' })
	event.remove({ output: 'immersiveengineering:sheetmetal_nickel' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_nickel' })
	event.remove({ output: 'immersiveengineering:ore_nickel' })
	event.remove({ output: 'immersiveengineering:deepslate_ore_nickel' })
	event.remove({ output: 'immersiveengineering:raw_block_nickel' })
	event.remove({ output: 'immersiveengineering:storage_nickel' })
	event.remove({ output: 'immersiveengineering:slab_storage_nickel' })
	event.remove({ output: 'immersiveengineering:sheetmetal_uranium' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_uranium' })
	event.remove({ output: 'immersiveengineering:ore_uranium' })
	event.remove({ output: 'immersiveengineering:deepslate_ore_uranium' })
	event.remove({ output: 'immersiveengineering:raw_block_uranium' })
	event.remove({ output: 'immersiveengineering:storage_uranium' })
	event.remove({ output: 'immersiveengineering:slab_storage_uranium' })
	event.remove({ output: 'immersiveengineering:sheetmetal_constantan' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_constantan' })
	event.remove({ output: 'immersiveengineering:storage_constantan' })
	event.remove({ output: 'immersiveengineering:slab_storage_constantan' })
	event.remove({ output: 'immersiveengineering:sheetmetal_electrum' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_electrum' })
	event.remove({ output: 'immersiveengineering:slab_storage_electrum' })
	event.remove({ output: 'immersiveengineering:sheetmetal_steel' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_steel' })
	event.remove({ output: 'immersiveengineering:storage_steel' })
	event.remove({ output: 'immersiveengineering:slab_storage_steel' })
	event.remove({ output: 'immersiveengineering:sheetmetal_iron' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_iron' })
	event.remove({ output: 'immersiveengineering:sheetmetal_gold' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_gold' })
	event.remove({ output: 'immersiveengineering:sawdust' })
	event.remove({ output: 'immersiveengineering:fiberboard' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_white' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_white' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_orange' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_orange' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_magenta' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_magenta' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_light_blue' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_light_blue' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_yellow' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_yellow' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_lime' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_lime' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_pink' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_pink' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_gray' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_gray' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_light_gray' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_light_gray' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_cyan' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_cyan' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_purple' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_purple' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_blue' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_blue' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_brown' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_brown' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_green' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_green' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_red' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_red' })
	event.remove({ output: 'immersiveengineering:sheetmetal_colored_black' })
	event.remove({ output: 'immersiveengineering:slab_sheetmetal_colored_black' })
	event.remove({ output: 'immersiveengineering:metal_ladder_alu' })
	event.remove({ output: 'immersiveengineering:alu_scaffolding_standard' })
	event.remove({ output: 'immersiveengineering:slab_alu_scaffolding_standard' })
	event.remove({ output: 'immersiveengineering:stairs_alu_scaffolding_standard' })
	event.remove({ output: 'immersiveengineering:alu_scaffolding_grate_top' })
	event.remove({ output: 'immersiveengineering:slab_alu_scaffolding_grate_top' })
	event.remove({ output: 'immersiveengineering:stairs_alu_scaffolding_grate_top' })
	event.remove({ output: 'immersiveengineering:alu_scaffolding_wooden_top' })
	event.remove({ output: 'immersiveengineering:slab_alu_scaffolding_wooden_top' })
	event.remove({ output: 'immersiveengineering:stairs_alu_scaffolding_wooden_top' })
	event.remove({ output: 'immersiveengineering:chute_iron' })
	event.remove({ output: 'immersiveengineering:chute_steel' })
	event.remove({ output: 'immersiveengineering:chute_aluminum' })
	event.remove({ output: 'immersiveengineering:chute_copper' })
	event.remove({ output: 'immersiveengineering:slab_coke' })
	event.remove({ output: 'immersiveengineering:slab_hempcrete' })
	event.remove({ output: 'immersiveengineering:slab_concrete' })
	event.remove({ output: 'immersiveengineering:slab_concrete_tile' })
	event.remove({ output: 'immersiveengineering:slab_concrete_leaded' })
	event.remove({ output: 'immersiveengineering:stairs_hempcrete' })
	event.remove({ output: 'immersiveengineering:stairs_concrete' })
	event.remove({ output: 'immersiveengineering:stairs_concrete_tile' })
	event.remove({ output: 'immersiveengineering:stairs_concrete_leaded' })
	event.remove({ output: 'immersiveengineering:stick_iron' })
	event.remove({ output: 'immersiveengineering:stick_aluminum' })
	event.remove({ output: 'immersiveengineering:hemp_fiber' })
	event.remove({ output: 'immersiveengineering:hemp_fabric' })
	event.remove({ output: 'immersiveengineering:waterwheel_segment' })
	event.remove({ output: 'immersiveengineering:windmill_blade' })
	event.remove({ output: 'immersiveengineering:windmill_sail' })
	event.remove({ output: 'immersiveengineering:wire_aluminum' })
	event.remove({ output: 'immersiveengineering:wire_lead' })
	event.remove({ output: 'immersiveengineering:dust_wood' })
	event.remove({ output: 'immersiveengineering:nugget_copper' })
	event.remove({ output: 'immersiveengineering:plate_copper' })
	event.remove({ output: 'immersiveengineering:ingot_aluminum' })
	event.remove({ output: 'immersiveengineering:nugget_aluminum' })
	event.remove({ output: 'immersiveengineering:raw_aluminum' })
	event.remove({ output: 'immersiveengineering:plate_aluminum' })
	event.remove({ output: 'immersiveengineering:dust_aluminum' })
	event.remove({ output: 'immersiveengineering:ingot_lead' })
	event.remove({ output: 'immersiveengineering:nugget_lead' })
	event.remove({ output: 'immersiveengineering:raw_lead' })
	event.remove({ output: 'immersiveengineering:plate_lead' })
	event.remove({ output: 'immersiveengineering:dust_lead' })
	event.remove({ output: 'immersiveengineering:ingot_silver' })
	event.remove({ output: 'immersiveengineering:nugget_silver' })
	event.remove({ output: 'immersiveengineering:raw_silver' })
	event.remove({ output: 'immersiveengineering:plate_silver' })
	event.remove({ output: 'immersiveengineering:dust_silver' })
	event.remove({ output: 'immersiveengineering:ingot_nickel' })
	event.remove({ output: 'immersiveengineering:nugget_nickel' })
	event.remove({ output: 'immersiveengineering:raw_nickel' })
	event.remove({ output: 'immersiveengineering:plate_nickel' })
	event.remove({ output: 'immersiveengineering:ingot_uranium' })
	event.remove({ output: 'immersiveengineering:nugget_uranium' })
	event.remove({ output: 'immersiveengineering:raw_uranium' })
	event.remove({ output: 'immersiveengineering:plate_uranium' })
	event.remove({ output: 'immersiveengineering:dust_uranium' })
	event.remove({ output: 'immersiveengineering:ingot_constantan' })
	event.remove({ output: 'immersiveengineering:nugget_constantan' })
	event.remove({ output: 'immersiveengineering:raw_constantan' })
	event.remove({ output: 'immersiveengineering:plate_constantan' })
	event.remove({ output: 'immersiveengineering:dust_constantan' })
	event.remove({ output: 'immersiveengineering:ingot_steel' })
	event.remove({ output: 'immersiveengineering:nugget_steel' })
	event.remove({ output: 'immersiveengineering:raw_steel' })
	event.remove({ output: 'immersiveengineering:plate_steel' })
	event.remove({ output: 'immersiveengineering:plate_iron' })
	event.remove({ output: 'immersiveengineering:plate_gold' })
	event.remove({ output: 'immersiveengineering:pickaxe_steel' })
	event.remove({ output: 'immersiveengineering:shovel_steel' })
	event.remove({ output: 'immersiveengineering:axe_steel' })
	event.remove({ output: 'immersiveengineering:hoe_steel' })
	event.remove({ output: 'immersiveengineering:sword_steel' })
	event.remove({ output: 'immersiveengineering:toolbox' })
	event.remove({ output: 'immersiveengineering:survey_tools' })
	event.remove({ output: 'immersiveengineering:glider' })
	event.remove({ output: 'immersiveengineering:armor_steel_feet' })
	event.remove({ output: 'immersiveengineering:armor_steel_legs' })
	event.remove({ output: 'immersiveengineering:armor_steel_chest' })
	event.remove({ output: 'immersiveengineering:armor_steel_head' })
	event.remove({ output: 'immersiveengineering:minecart_woodencrate' })
	event.remove({ output: 'immersiveengineering:minecart_reinforcedcrate' })
	event.remove({ output: 'immersiveengineering:minecart_woodenbarrel' })
	event.remove({ output: 'immersiveengineering:minecart_metalbarrel' })
	event.remove({ output: 'immersiveengineering:seed' })
	event.remove({ output: Item.of('immersiveengineering:blueprint', '{blueprint:"electrode"}') })
	event.remove({ output: Item.of('immersiveengineering:blueprint', '{blueprint:"molds"}') })
	event.remove({ output: 'immersiveengineering:coresample' })
	event.remove({ output: 'immersiveengineering:graphite_electrode' })
	event.remove({ output: 'immersiveengineering:conveyor_basic' })
	event.remove({ output: 'immersiveengineering:conveyor_redstone' })
	event.remove({ output: 'immersiveengineering:conveyor_dropper' })
	event.remove({ output: 'immersiveengineering:conveyor_vertical' })
	event.remove({ output: 'immersiveengineering:conveyor_splitter' })
	event.remove({ output: 'immersiveengineering:conveyor_extract' })
	event.remove({ output: 'immersiveengineering:cokebrick' })
	event.remove({ output: 'immersiveengineering:blastbrick' })
	event.remove({ output: 'immersiveengineering:blastbrick_reinforced' })
	event.remove({ output: 'immersiveengineering:alloybrick' })
	event.remove({ output: 'immersiveengineering:gunpowder_barrel' })
	event.remove({ output: 'immersiveengineering:blastfurnace_preheater' })
	event.remove({ output: 'immersiveengineering:slab_cokebrick' })
	event.remove({ output: 'immersiveengineering:slab_blastbrick' })
	event.remove({ output: 'immersiveengineering:slab_blastbrick_reinforced' })
	event.remove({ output: 'immersiveengineering:slab_alloybrick' })
	event.remove({ output: 'immersiveengineering:fluorescent_tube' })
	event.remove({ output: 'immersiveengineering:mold_plate' })
	event.remove({ output: 'immersiveengineering:mold_gear' })
	event.remove({ output: 'immersiveengineering:mold_rod' })
	event.remove({ output: 'immersiveengineering:mold_bullet_casing' })
	event.remove({ output: 'immersiveengineering:mold_wire' })
	event.remove({ output: 'immersiveengineering:mold_packing_4' })
	event.remove({ output: 'immersiveengineering:mold_packing_9' })
	event.remove({ output: 'immersiveengineering:mold_unpacking' })
	event.remove({ output: 'immersiveengineering:balloon' })
	event.remove({ output: 'immersiveengineering:capacitor_lv' })
	event.remove({ output: 'immersiveengineering:capacitor_mv' })
	event.remove({ output: 'immersiveengineering:capacitor_hv' })
	event.remove({ output: 'immersiveengineering:furnace_heater' })
	event.remove({ output: 'immersiveengineering:floodlight' })
	event.remove({ output: 'immersiveengineering:turret_chem' })
	event.remove({ output: 'immersiveengineering:turret_gun' })
	event.remove({ output: 'immersiveengineering:connector_bundled' })
	event.remove({ output: 'immersiveengineering:connector_hv' })
	event.remove({ output: 'immersiveengineering:connector_hv_relay' })
	event.remove({ output: 'immersiveengineering:ersatz_leather' })
	event.remove({ output: 'immersiveengineering:component_electronic_adv' })
	event.remove({ output: 'immersiveengineering:charging_station' })
	event.remove({ output: 'immersiveengineering:logic_unit' })
	event.remove({ output: 'immersiveengineering:toolupgrade_revolver_electro' })
	event.remove({ output: 'immersiveengineering:grindingdisk' })
	event.remove({ output: 'immersiveengineering:electron_tube' })
	event.remove({ output: 'immersiveengineering:bannerpattern_ornate' })
	event.remove({ output: 'immersiveengineering:bannerpattern_windmill' })
	event.remove({ output: Item.of('immersiveengineering:blueprint', '{blueprint:"components"}') })
	event.remove({ output: 'immersiveengineering:maintenance_kit' })
	event.remove({ output: 'immersiveengineering:wirecoil_structure_rope' })
	event.remove({ output: 'immersiveengineering:wirecoil_steel' })
	event.remove({ output: 'immersiveengineering:wirecoil_redstone' })
	event.remove({ output: 'immersiveengineering:wirecoil_copper_ins' })
	event.remove({ output: 'immersiveengineering:wirecoil_electrum_ins' })
	event.remove({ output: 'immersiveengineering:toolupgrade_drill_waterproof' })
	event.remove({ output: 'immersiveengineering:toolupgrade_drill_lube' })
	event.remove({ output: 'immersiveengineering:toolupgrade_drill_capacity' })
	event.remove({ output: 'immersiveengineering:toolupgrade_chemthrower_focus' })
	event.remove({ output: 'immersiveengineering:toolupgrade_railgun_capacitors' })
	event.remove({ output: 'immersiveengineering:toolupgrade_shield_flash' })
	event.remove({ output: 'immersiveengineering:toolupgrade_chemthrower_multitank' })
	event.remove({ output: 'immersiveengineering:toolupgrade_buzzsaw_spareblades' })
	event.remove({ output: 'immersiveengineering:armor_faraday_feet' })
	event.remove({ output: 'immersiveengineering:armor_faraday_legs' })
	event.remove({ output: 'immersiveengineering:armor_faraday_chest' })
	event.remove({ output: 'immersiveengineering:armor_faraday_head' })
	event.remove({ output: 'immersiveengineering:casull' })
	event.remove({ output: 'immersiveengineering:homing' })
	event.remove({ output: 'immersiveengineering:armor_piercing' })
	event.remove({ output: 'immersiveengineering:buckshot' })
	event.remove({ output: 'immersiveengineering:silver' })
	event.remove({ output: 'immersiveengineering:dragons_breath' })
	event.remove({ output: 'immersiveengineering:homing' })
	event.remove({ output: 'immersiveengineering:dust_copper' })
	event.remove({ output: 'immersiveengineering:dust_aluminum' })
	event.remove({ output: 'immersiveengineering:dust_silver' })
	event.remove({ output: 'immersiveengineering:dust_lead' })
	event.remove({ output: 'immersiveengineering:dust_nickel' })
	event.remove({ output: 'immersiveengineering:dust_uranium' })
	event.remove({ output: 'immersiveengineering:dust_constantan' })
	event.remove({ output: 'immersiveengineering:dust_electrum' })
	event.remove({ output: 'immersiveengineering:dust_steel' })
	event.remove({ output: 'immersiveengineering:dust_iron' })
	event.remove({ output: 'immersiveengineering:dust_gold' })
	event.remove({ output: 'immersiveengineering:dust_hop_graphite' })
	event.remove({ output: 'immersiveengineering:ingot_hop_graphite' })
	event.remove({ output: 'immersiveengineering:dust_electrum' })
	event.remove({ output: 'immersiveengineering:wire_copper' })
	event.remove({ output: 'immersiveengineering:wire_electrum' })
	event.remove({ output: 'immersiveengineering:wire_steel' })
	event.remove({ output: 'immersiveengineering:ingot_electrum' })
	event.remove({ output: 'immersiveengineering:drill' })
	event.remove({ output: 'immersiveengineering:buzzsaw' })
	event.remove({ output: 'immersiveengineering:chemthrower' })
	event.remove({ output: 'immersiveengineering:slag_glass' })
	event.remove({ output: 'immersiveengineering:fertilizer' })
	event.remove({ output: 'immersiveengineering:tesla_coil' })
	event.remove({ output: 'immersiveengineering:toolupgrade_revolver_bayonet' })

	event.remove({ output: 'immersiveposts:fence_lead' })
	event.remove({ output: 'immersiveposts:fence_silver' })
	event.remove({ output: 'immersiveposts:fence_constantan' })
	event.remove({ output: 'immersiveposts:fence_uranium' })
	event.remove({ output: 'immersiveposts:stick_gold' })
	event.remove({ output: 'immersiveposts:stick_copper' })
	event.remove({ output: 'immersiveposts:stick_lead' })
	event.remove({ output: 'immersiveposts:stick_silver' })
	event.remove({ output: 'immersiveposts:stick_constantan' })
	event.remove({ output: 'immersiveposts:stick_uranium' })
	event.remove({ output: 'immersiveposts:fence_nickel' })
	event.remove({ output: 'immersiveposts:stick_nickel' })

	event.remove({ output: 'supplementaries:lead_lantern' })
	event.remove({ output: 'supplementaries:lead_door' })
	event.remove({ output: 'supplementaries:lead_trapdoor' })
	event.remove({ output: 'supplementaries:silver_lantern' })
	event.remove({ output: 'supplementaries:silver_door' })
	event.remove({ output: 'supplementaries:silver_trapdoor' })

	event.remove({ id: 'create:milling/sandstone' })
	event.remove({ id: 'create:crushing/blaze_rod' })

	event.remove({ id: 'immersiveengineering:crafting/coke_from_slab' })
	event.remove({ id: 'immersiveengineering:crafting/storage_electrum_from_slab' })
	event.remove({ id: 'immersiveengineering:crafting/conveyor_basic_covered' })
	event.remove({ id: 'immersiveengineering:crafting/conveyor_dropper_covered' })
	event.remove({ id: 'immersiveengineering:crafting/conveyor_vertical_covered' })
	event.remove({ id: 'immersiveengineering:crafting/conveyor_splitter_covered' })
	event.remove({ id: 'immersiveengineering:crafting/conveyor_extract_covered' })
	event.remove({ id: 'immersiveengineering:crafting/wire_copper' })
	event.remove({ id: 'immersiveengineering:crafting/wire_electrum' })
	event.remove({ id: 'immersiveengineering:crafting/wire_steel' })
	event.remove({ id: 'immersiveengineering:blueprint/bullet_flare_green' })
	event.remove({ id: 'immersiveengineering:blueprint/bullet_flare_red' })
	event.remove({ id: 'immersiveengineering:blueprint/bullet_flare_yellow' })
	event.remove({ id: 'immersiveengineering:crafting/plate_copper_hammering' })
	event.remove({ id: 'immersiveengineering:crafting/plate_iron_hammering' })
	event.remove({ id: 'immersiveengineering:crafting/plate_steel_hammering' })
	event.remove({ id: 'immersiveengineering:crafting/plate_gold_hammering' })
	event.remove({ id: 'immersiveengineering:crafting/plate_electrum_hammering' })
	event.remove({ id: 'immersiveengineering:crafting/stick_steel' })

	event.remove({ id: 'immersiveposts:has_electrum_rod' })


	// Compacting
	event.recipes.createCompacting( 'immersiveengineering:duroplast' , Fluid.of('immersiveengineering:phenolic_resin', 1000))
	event.recipes.createCompacting( ['immersiveengineering:coal_coke', Fluid.of('immersiveengineering:creosote', 50)] , 'minecraft:coal').heated()


	// Crushing


	// Filling
	event.recipes.createFilling('immersiveengineering:grindingdisk' , ['createaddition:diamond_grit_sandpaper', Fluid.of('immersiveengineering:phenolic_resin', 500)])


	// Pressing
	event.recipes.createPressing('immersiveengineering:plate_duroplast' , 'immersiveengineering:duroplast')
	event.recipes.createPressing('immersiveengineering:plate_electrum' , '#forge:ingots/electrum')


	// Milling
	event.recipes.createMilling([ '2x minecraft:sand', Item.of('immersiveengineering:dust_saltpeter').withChance(0.5) ], '#forge:sandstone/colorless')
	event.recipes.createMilling([ '2x minecraft:red_sand', Item.of('immersiveengineering:dust_saltpeter').withChance(0.5) ], '#forge:sandstone/red')
	event.recipes.createMilling([ '4x minecraft:blaze_powder', Item.of('immersiveengineering:dust_sulfur').withChance(0.5) ], 'minecraft:blaze_rod')


	// Mixing
	event.recipes.createMixing(Fluid.of('immersiveengineering:herbicide', 500) , ['immersiveengineering:dust_sulfur', '3x create:copper_nugget', Fluid.of('createaddition:bioethanol', 500)])
	event.recipes.createMixing(Fluid.of('immersiveengineering:redstone_acid', 250) , ['minecraft:redstone', Fluid.of('minecraft:water', 250)])
	event.recipes.createMixing(Fluid.of('immersiveengineering:phenolic_resin', 8) , [Fluid.of('immersiveengineering:acetaldehyde', 12), Fluid.of('immersiveengineering:creosote', 8)]).superheated()
	event.recipes.createMixing([Fluid.of('immersiveengineering:acetaldehyde', 8), 'create:copper_sheet'], [Fluid.of('createaddition:bioethanol', 12), 'create:copper_sheet']).superheated()
	event.recipes.createMixing('2x immersiveengineering:ingot_electrum', ['#forge:ingots/gold', '#forge:ingots/copper']).heated()
	event.recipes.createMixing('2x immersiveengineering:insulating_glass', ['2x #forge:glass', '#forge:ingots/iron']).heated()


	// Rolling
	event.custom({
		type: 'createaddition:rolling',
		input: Ingredient.of('#forge:ingots/zinc').toJson(),
		result: Item.of('2x immersiveposts:stick_nickel').toResultJson()
    })

	event.custom({
		type: 'createaddition:rolling',
		input: Ingredient.of('#forge:ingots/electrum').toJson(),
		result: Item.of('2x immersiveposts:stick_electrum').toResultJson()
    })

	event.custom({
		type: 'createaddition:rolling',
		input: Ingredient.of('#forge:plates/copper').toJson(),
		result: Item.of('2x immersiveengineering:wire_copper').toResultJson()
    })

	event.custom({
		type: 'createaddition:rolling',
		input: Ingredient.of('#forge:plates/electrum').toJson(),
		result: Item.of('2x immersiveengineering:wire_electrum').toResultJson()
    })

	event.custom({
		type: 'createaddition:rolling',
		input: Ingredient.of('#forge:plates/steel').toJson(),
		result: Item.of('2x immersiveengineering:wire_steel').toResultJson()
    })


	// Shapeless Crafting
	event.shapeless('immersiveengineering:fertilizer', ['#forge:dusts/saltpeter', 'minecraft:flint'])


	// Shaped Crafting
	event.shaped('2x immersiveengineering:balloon', [
		' C ',
		'CTC',
		' S '
		], {
		C: 'farmersdelight:canvas',
		T: 'minecraft:torch',
		S: '#forge:treated_wood_slab'
	})

	event.shaped('immersiveengineering:furnace_heater', [
		'PCP',
		'CSC',
		'PRP'
		], {
		R: 'minecraft:redstone',
		C: 'immersiveengineering:wirecoil_copper',
		P: '#forge:plates/copper',
		S: '#forge:ingots/steel'
	})

	event.shaped('immersiveengineering:floodlight', [
		'PII',
		'GBP',
		'PMI'
		], {
		M: 'immersiveengineering:component_iron',
		G: '#forge:glass_panes',
		P: '#forge:plates/gold',
		I: '#forge:ingots/iron',
		B: 'immersiveengineering:light_bulb'
	})

	event.shaped('immersiveengineering:turret_chem', [
		' S ',
		' CA',
		'FTP'
		], {
		S: 'immersiveengineering:toolupgrade_railgun_scope',
		C: 'immersiveengineering:chemthrower',
		A: 'immersiveengineering:component_electronic_adv',
		F: 'create:fluid_tank',
		T: 'immersiveengineering:turntable',
		P: 'create:precision_mechanism'
	})

	event.shaped('immersiveengineering:turret_gun', [
		' S ',
		' CA',
		'FTP'
		], {
		S: 'immersiveengineering:toolupgrade_railgun_scope',
		C: 'immersiveengineering:revolver',
		A: 'immersiveengineering:component_electronic_adv',
		F: 'immersiveengineering:toolupgrade_revolver_magazine',
		T: 'immersiveengineering:turntable',
		P: 'create:precision_mechanism'
	})

	event.shaped('immersiveengineering:connector_bundled', [
		' W ',
		'WCW',
		' W '
		], {
		W: 'immersiveengineering:wire_electrum',
		C: 'immersiveengineering:connector_redstone'
	})
	
	event.shaped('4x immersiveengineering:connector_hv', [
		' S ',
		'ISI',
		'IDI'
		], {
		S: '#forge:ingots/steel',
		I: '#immersiveengineering:connector_insulator',
		D: 'minecraft:diamond'
	})

	event.shaped('8x immersiveengineering:connector_hv_relay', [
		' S ',
		'ISI',
		'IDI'
		], {
		S: '#forge:ingots/steel',
		I: 'immersiveengineering:insulating_glass',
		D: 'minecraft:diamond'
	})

	event.shaped('4x immersiveengineering:ersatz_leather', [
		'CCC',
		'CHC',
		'CCC'
		], {
		C: 'farmersdelight:canvas',
		H: 'minecraft:honeycomb'
	})

	event.shaped('immersiveengineering:charging_station', [
		'GPG',
		'EEE',
		'TCT'
		], {
		E: 'create:electron_tube',
		G: '#forge:glass',
		T: '#forge:treated_wood',
		C: 'immersiveengineering:coil_lv',
		P: '#forge:plates/iron'
	})

	event.shaped('immersiveengineering:logic_unit', [
		'TET',
		'ECE',
		'TET'
		], {
		E: 'create:electron_tube',
		T: '#forge:treated_wood',
		C: 'immersiveengineering:circuit_board'
	})

	event.shaped('immersiveengineering:toolupgrade_revolver_electro', [
		'EEE',
		'RWR'
		], {
		E: 'create:electron_tube',
		W: '#forge:wires/copper',
		R: '#forge:rods/steel'
	})

	event.shaped( Item.of('immersiveengineering:blueprint', '{blueprint:"components"}') , [
		'CZI',
		'BBB',
		'PPP'
		], {
		Z: '#forge:ingots/zinc',
		C: '#forge:ingots/copper',
		I: '#forge:ingots/iron',
		B: '#forge:dyes/blue',
		P: '#forge:paper'
	})

	event.shaped( Item.of('immersiveengineering:blueprint', '{blueprint:"specialBullet"}') , [
		'SCS',
		'BBB',
		'PPP'
		], {
		C: 'immersiveengineering:empty_casing',
		S: 'minecraft:netherite_scrap',
		B: '#forge:dyes/blue',
		P: '#forge:paper'
	})

	event.shaped('immersiveengineering:maintenance_kit', [
		'SW ',
		'CCC'
		], {
		C: 'farmersdelight:canvas',
		S: 'immersiveengineering:screwdriver',
		W: 'immersiveengineering:wirecutter'
	})

	event.shaped('4x immersiveengineering:wirecoil_structure_rope', [
		' R ',
		'RSR',
		' R '
		], {
		R: 'farmersdelight:rope',
		S: '#forge:rods/wooden'
	})

	event.shaped('4x immersiveengineering:wirecoil_steel', [
		' D ',
		'RSR',
		' E '
		], {
		R: '#forge:wires/steel',
		S: '#forge:rods/wooden',
		D: 'createaddition:diamond_grit',
		E: 'immersiveengineering:wire_electrum'
	})

	event.shaped('4x immersiveengineering:wirecoil_redstone', [
		' C ',
		'RSR',
		' C '
		], {
		R: 'minecraft:redstone',
		C: '#forge:wires/copper',
		S: '#forge:rods/wooden'
	})

	event.shaped('4x immersiveengineering:wirecoil_copper_ins', [
		'CWC',
		'WCW',
		'CWC'
		], {
		C: 'farmersdelight:canvas',
		W: 'immersiveengineering:wirecoil_copper'
	})

	event.shaped('4x immersiveengineering:wirecoil_electrum_ins', [
		'CWC',
		'WCW',
		'CWC'
		], {
		C: 'farmersdelight:canvas',
		W: 'immersiveengineering:wirecoil_electrum'
	})

	event.shaped('immersiveengineering:toolupgrade_drill_waterproof', [
		'BP ',
		'PBP',
		' PF'
		], {
		B: '#forge:dyes/blue',
		P: '#forge:plates/iron',
		F: 'create:fluid_pipe'
	})

	event.shaped('immersiveengineering:toolupgrade_drill_lube', [
		' P ',
		'PBP',
		' PF'
		], {
		B: 'createaddition:seed_oil_bucket',
		P: '#forge:plates/iron',
		F: 'create:fluid_pipe'
	})

	event.shaped('immersiveengineering:toolupgrade_drill_capacity', [
		'FP ',
		'PRP',
		' PR'
		], {
		R: '#forge:dyes/red',
		P: '#forge:plates/steel',
		F: 'create:fluid_pipe'
	})

	event.shaped('immersiveengineering:toolupgrade_chemthrower_focus', [
		'F  ',
		' FP',
		' PM'
		], {
		M: 'immersiveengineering:component_iron',
		P: '#forge:plates/steel',
		F: 'create:fluid_pipe'
	})

	event.shaped('immersiveengineering:toolupgrade_railgun_capacitors', [
		'C  ',
		'SC ',
		' SC'
		], {
		C: 'createaddition:capacitor',
		S: '#forge:ingots/steel'
	})

	event.shaped('immersiveengineering:toolupgrade_shield_flash', [
		' P ',
		'PLP'
		], {
		P: '#forge:plates/gold',
		L: 'immersiveengineering:light_bulb'
	})

	event.shaped('immersiveengineering:toolupgrade_chemthrower_multitank', [
		' F ',
		'TMT'
		], {
		F: 'create:fluid_pipe',
		T: 'immersiveengineering:toolupgrade_drill_capacity',
		M: 'immersiveengineering:component_iron'
	})

	event.shaped('immersiveengineering:toolupgrade_buzzsaw_spareblades', [
		'IRT',
		'IT '
		], {
		I: '#forge:rods/iron',
		T: '#forge:treated_wood',
		R: 'farmersdelight:rope'
	})

	event.shaped('immersiveengineering:armor_faraday_feet', [
		'C C',
		'P P'
		], {
		C: 'minecraft:chain',
		P: '#forge:plates/copper'
	})

	event.shaped('immersiveengineering:armor_faraday_legs', [
		'C C',
		'C C',
		'P P'
		], {
		C: 'minecraft:chain',
		P: '#forge:plates/copper'
	})

	event.shaped('immersiveengineering:armor_faraday_chest', [
		'C C',
		'PCP',
		'CCC'
		], {
		C: 'minecraft:chain',
		P: '#forge:plates/copper'
	})

	event.shaped('immersiveengineering:armor_faraday_head', [
		'CCC',
		'P P'
		], {
		C: 'minecraft:chain',
		P: '#forge:plates/copper'
	})

	event.shaped('3x immersiveposts:fence_nickel', [
		'IRI',
		'IRI'
		], {
		I: '#forge:ingots/zinc',
		R: '#forge:rods/nickel'
	})

	event.shaped('immersiveengineering:tesla_coil', [
		'PPP',
		' E ',
		'AHM'
		], {
		P: '#forge:plates/iron',
		E: 'immersiveengineering:coil_mv',
		A: 'immersiveengineering:component_electronic_adv',
		H: 'immersiveengineering:capacitor_hv',
		M: 'immersiveengineering:component_iron'
	})

	event.shaped('immersiveengineering:toolupgrade_revolver_bayonet', [
		'WS',
		'IW'
		], {
		I: '#forge:ingots/steel',
		S: 'alloyed:steel_sword',
		W: '#forge:wires/copper'
	})

	event.shaped('immersiveengineering:drill', [
		' SG',
		'SPG',
		'MS '
		], {
		G: 'immersiveengineering:wooden_grip',
		S: '#forge:ingots/steel',
		P: 'create:precision_mechanism',
		M: 'immersiveengineering:component_steel'
	})

	event.shaped('immersiveengineering:buzzsaw', [
		' SG',
		'RPG',
		'RS '
		], {
		G: 'immersiveengineering:wooden_grip',
		S: '#forge:ingots/steel',
		P: 'create:precision_mechanism',
		R: '#forge:rods/steel'
	})

	event.shaped('immersiveengineering:chemthrower', [
		' TG',
		'SPG',
		'FB '
		], {
		G: 'immersiveengineering:wooden_grip',
		S: '#forge:ingots/steel',
		P: 'create:precision_mechanism',
		F: 'create:fluid_pipe',
		B: 'create:fluid_tank',
		T: 'immersiveengineering:toolupgrade_drill_waterproof'
	})


	// Mechanical Crafting
	event.recipes.createMechanicalCrafting('immersiveengineering:capacitor_lv', [
		'WCLCW',
		'ICRCI',
		'WCLCW'
		], {
		W: '#forge:treated_wood',
		C: 'createaddition:capacitor',
		R: 'immersiveengineering:redstone_acid_bucket',
		L: 'immersiveengineering:connector_lv',
		I: '#forge:ingots/iron'
	})

	event.recipes.createMechanicalCrafting('immersiveengineering:capacitor_mv', [
		' LML ',
		'SLLLS',
		'SLLLS',
		' LML '
		], {
		L: 'immersiveengineering:capacitor_lv',
		M: 'immersiveengineering:connector_mv',
		S: '#forge:ingots/steel'
	})

	event.recipes.createMechanicalCrafting('immersiveengineering:capacitor_hv', [
		'MCM',
		'DHD',
		'MCM'
		], {
		H: 'minecraft:crying_obsidian',
		D: 'immersiveengineering:duroplast',
		C: 'immersiveengineering:connector_hv',
		M: 'immersiveengineering:capacitor_mv'
	})

	event.recipes.createMechanicalCrafting('createaddition:electric_motor', [
		' A ',
		'BLB',
		'BCB'
		], {
		A: 'create:andesite_alloy',
		B: 'create:brass_sheet',
		L: 'immersiveengineering:coil_lv',
		C: 'createaddition:capacitor'
	})

	event.recipes.createMechanicalCrafting('createaddition:alternator', [
		' A ',
		'BLB',
		'BCB'
		], {
		A: 'create:andesite_alloy',
		B: '#forge:plates/steel',
		L: 'immersiveengineering:coil_lv',
		C: 'createaddition:capacitor'
	})


	// Workbench
	event.custom({
		type: 'immersiveengineering:blueprint',
		inputs: [
		  {
			item: 'immersiveengineering:plate_duroplast'
		  },
		  {
			count: 2,
			base_ingredient: {
			  item: 'create:electron_tube'
			}
		  },
		  {
			item: 'immersiveengineering:wire_electrum'
		  }
		],
		category: 'components',
		result: {
		  item: 'immersiveengineering:component_electronic_adv'
		}
	})

	event.custom({
		type: 'immersiveengineering:blueprint',
		inputs: [
		  {
			item: 'minecraft:paper'
		  },
		  {
			item: 'minecraft:diamond'
		  }
		],
		category: 'bannerpatterns',
		result: {
		  item: 'immersiveengineering:bannerpattern_ornate'
		}
	})

	event.custom({
		type: 'immersiveengineering:blueprint',
		inputs: [
		  {
			item: 'minecraft:paper'
		  },
		  {
			item: 'create:windmill_bearing'
		  }
		],
		category: 'bannerpatterns',
		result: {
		  item: 'immersiveengineering:bannerpattern_windmill'
		}
	})

	event.custom({
		type: 'immersiveengineering:blueprint',
		inputs: [
		  {
			item: 'immersiveengineering:empty_casing'
		  },
		  {
			item: 'minecraft:gunpowder'
		  },
		  {
			count: 2,
			base_ingredient: {
			  item: 'minecraft:iron_nugget'
			}
		  }
		],
		category: 'bullet',
		result: {
		  item: 'immersiveengineering:casull'
		}
	})

	event.custom({
		type: 'immersiveengineering:blueprint',
		inputs: [
		  {
			item: 'immersiveengineering:empty_casing'
		  },
		  {
			item: 'minecraft:gunpowder'
		  },
		  {
			count: 2,
			base_ingredient: {
				tag:"forge:nuggets/steel"
			}
		  },
		  {
			count: 2,
			base_ingredient: {
				tag:"forge:nuggets/brass"
			}
		  }
		],
		category: 'bullet',
		result: {
		  item: 'immersiveengineering:armor_piercing'
		}
	})

	event.custom({
		type: 'immersiveengineering:blueprint',
		inputs: [
		  {
			item: 'immersiveengineering:empty_shell'
		  },
		  {
			item: 'minecraft:gunpowder'
		  },
		  {
			item:"minecraft:quartz"
		  }
		],
		category: 'bullet',
		result: {
		  item: 'immersiveengineering:buckshot'
		}
	})

	event.custom({
		type: 'immersiveengineering:blueprint',
		inputs: [
		  {
			item: 'immersiveengineering:empty_casing'
		  },
		  {
			item: 'minecraft:gunpowder'
		  },
		  {
			count: 2,
			base_ingredient: {
				tag:"forge:nuggets/iron"
			}
		  },
		  {
			base_ingredient: {
				tag:"forge:nuggets/gold"
			}
		  }
		],
		category: 'bullet',
		result: {
		  item: 'immersiveengineering:silver'
		}
	})

	event.custom({
		type: 'immersiveengineering:blueprint',
		inputs: [
		  {
			item: 'immersiveengineering:empty_shell'
		  },
		  {
			item: 'minecraft:gunpowder'
		  },
		  {
			count: 4,
			base_ingredient: {
				item:"minecraft:blaze_powder"
			}
		  }
		],
		category: 'specialBullet',
		result: {
		  item: 'immersiveengineering:dragons_breath'
		}
	})

	event.custom({
		type: 'immersiveengineering:blueprint',
		inputs: [
		  {
			item: 'immersiveengineering:empty_shell'
		  },
		  {
			item: 'minecraft:gunpowder'
		  },
		  {
			item:"minecraft:blaze_powder"
		  },
		  {
			base_ingredient: {
				tag:"forge:dyes/green"
			}
		  }
		],
		category: 'specialBullet',
		result: {
		  item: 'immersiveengineering:flare',
		  nbt: '{flareColour:2925323}'
		}
	})

	event.custom({
		type: 'immersiveengineering:blueprint',
		inputs: [
		  {
			item: 'immersiveengineering:empty_shell'
		  },
		  {
			item: 'minecraft:gunpowder'
		  },
		  {
			item:"minecraft:blaze_powder"
		  },
		  {
			base_ingredient: {
				tag:"forge:dyes/red"
			}
		  }
		],
		category: 'specialBullet',
		result: {
		  item: 'immersiveengineering:flare',
		  nbt: '{flareColour:13381126}'
		}
	})

	event.custom({
		type: 'immersiveengineering:blueprint',
		inputs: [
		  {
			item: 'immersiveengineering:empty_shell'
		  },
		  {
			item: 'minecraft:gunpowder'
		  },
		  {
			item:"minecraft:blaze_powder"
		  },
		  {
			base_ingredient: {
				tag:"forge:dyes/yellow"
			}
		  }
		],
		category: 'specialBullet',
		result: {
		  item: 'immersiveengineering:flare',
		  nbt: '{flareColour:16777090}'
		}
	})

	event.custom({
		type: 'immersiveengineering:blueprint',
		inputs: [
		  {
			item: 'immersiveengineering:empty_casing'
		  },
		  {
			item: 'minecraft:gunpowder'
		  },
		  {
			count: 2,
			base_ingredient: {
				tag:"forge:nuggets/iron"
			}
		  },
		  {
			item: 'minecraft:ender_eye'
		  }
		],
		category: 'specialBullet',
		result: {
		  item: 'immersiveengineering:homing'
		}
	})

})



onEvent("lootjs", (event) => {

    event.addBlockLootModifier("minecraft:grass").removeLoot("immersiveengineering:seed")
	event.addBlockLootModifier("minecraft:tall_grass").removeLoot("immersiveengineering:seed")

})
